/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 16.06.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.comp.data;

import java.io.PrintStream;

import at.spardat.xma.boot.comp.DTDStatics;

/**
 * XMAResourceLink
 *
 * @author <a href="mailto:schaeferc@spardat.at">s3595, Chr. Schaefer (CGS)</a>
 * @version $Id: XMAResourceLink.java 2084 2007-11-27 14:53:31Z s3460 $
 */
public class XMAResourceLink {

    /** Specifies the location of the resource */
    private String href_;

    /**
     * create a new resource link
     */
    public XMAResourceLink( String href ) {
        setHref_(href);
    }

    /**
     * write this object to a xml print stream.
     *
     * @param ps write to
     */
    public void writeXML( PrintStream ps ) {

       ps.print( DTDStatics.OPEN + DTDStatics.RESOURCE_LINK );
         ps.print( DTDStatics.SP + DTDStatics.RESOURCE_HREF + DTDStatics.QUOTE + this.href_ + DTDStatics.E_QUOTE );
       ps.print( DTDStatics.SP + DTDStatics.CLOSE_SIMPLES );
    }


    /**
     * @return String href
     */
    public String getHref_() {
        return href_;
    }

    /**
     * @param string href to set
     */
    public void setHref_(String string) {
        href_ = string;
    }

}
