/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 25.06.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.logger;


/**
 * ILogger
 *
 * @author <a href="mailto:schaeferc@spardat.at">s3595 Chr. Schaefer (CGS)</a>
 * @version $Id: ILogger.java 2084 2007-11-27 14:53:31Z s3460 $
 *
 */
public interface ILogger {
    public abstract LogLevel getLevel();
    public abstract void logrb(
        LogLevel level,
        String sourceClass,
        String sourceMethod,
        String msg,
        Throwable thrown);

    public abstract void setLevel(LogLevel newLevel) throws SecurityException;
    public abstract void info(String msg);

    public abstract void log(LogLevel level, String msg, Object param1);
    public abstract void log(LogLevel level, String msg, Object[] params);
    public abstract void log(LogLevel level, String msg, Throwable thrown);
    public abstract void log(LogLevel level, String msg);
    public abstract void severe(String msg);
    public abstract void warning(String msg);
}